 const classIcon =  require('./../resources/images/icon.png')
 const datarangeIcon =  require('./../resources/images/iconClose.png')
const mapData = {
    categories:[ //关系列表
        {name: "中心词"},  
        {name: "关系"},
        {name: "相关症状"},
        {name: "发病部位"},
        {name: "所属科室"},
        {name: "检查"},
        {name: "相关疾病"},
    ],
    links:[
        {
            source: 0,  //关系起始点name
            target: 1,  //关系终点name
            value: "相关症状" //关系名称
        },
        {
            source: 1,
            target: 2,
            value: ""
        },
        {
            source: 1,
            target: 3,
            value: ""
        },
        {
            source: 1,
            target: 4,
            value: ""
        },
        {
            source: 1,
            target: 5,
            value: ""
        },
        {
            source: 0,
            target: 6,
            value: "发病部位"
        },
        {
            source: 6,
            target: 7,
            value: ""
        },
        {
            source: 0,
            target: 8,
            value: "所属科室"
        },
        {
            source: 8,
            target: 9,
            value: ""
        },
        {
            source: 8,
            target: 10,
            value: ""
        },
        {
            source: 8,
            target: 11,
            value: ""
        },
        {
            source: 8,
            target: 12,
            value: ""
        },
        {
            source: 0,
            target: 13,
            value: "检查"
        },
        {
            source: 13,
            target: 14,
            value: ""
        },
        {
            source: 13,
            target: 15,
            value: ""
        },
        {
            source: 13,
            target: 16,
            value: ""
        },
        {
            source: 13,
            target: 17,
            value: ""
        },
        {
            source: 0,
            target: 18,
            value: "相关疾病"
        },
        {
            source: 18,
            target: 19,
            value: ""
        },
        {
            source: 18,
            target: 20,
            value: ""
        },
    ],
    node:[
        {
            category: 0,  //关系索引
            label: "咳嗽",  //显示的节点名称
            name: 0,  //节点Id
            symbolSize: 50
        },
        {
            category: 1,
            label: "",
            name: 1,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 2,
            label: "点滴状便血",
            name: 2,
            symbolSize: 28
        },
        {
            category: 2,
            label: "膀胱蓄热小便失禁",
            name: 3,
            symbolSize: 28
        },
        {
            category: 2,
            label: "百日咳",
            name: 4,
            symbolSize: 28
        },
        {
            category: 2,
            label: "大量胸水",
            name: 5,
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 6,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 3,
            label: "头部",
            name: 7,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 8,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 4,
            label: "五官科",
            name: 9,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 4,
            label: "中西医结合科",
            name: 10,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 4,
            label: "腹部损伤",
            name: 11,
            symbolSize: 28
        },
        {
            category: 4,
            label: "内科",
            name: 12,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 13,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 5,
            label: "巨噬细胞或白细胞移动抑制试验mmit",
            name: 14,
            symbolSize: 28
        },
        {
            category: 5,
            label: "浆膜腔积液",
            name: 15,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 5,
            label: "浆膜腔积液葡萄糖",
            name: 16,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 5,
            label: "结核菌素试验（OT,PPD）",
            name: 17,
            symbol: "rect",
            symbolSize: 28
        },
        {
            category: 1,
            label: "",
            name: 18,
            symbol: "diamond",
            symbolSize: 10
        },
        {
            category: 6,
            label: "HIV相关呼吸道感染",
            name: 19,
            symbolSize: 28
        },
        {
            category: 6,
            label: "热带型肺嗜酸性粒细胞肺炎",
            name: 20,
            symbolSize: 28
        },
    ]
}

const mapData2 = {
    links: [
        {
            source: '高育良',
            target: '侯亮平',
            name: '师生',
            des: '侯亮平是高育良的得意门生'
        }, {
            source: '高育良',
            target: '祁同伟',
            name: '师生'
        }, {
            source: '赵立春',
            target: '高育良',
            name: "前领导"
        }, {
            source: '赵立春',
            target: '赵瑞龙',
            name: "父子"
        }, {
            source: '赵立春',
            target: '刘新建',
            name: "前部队下属"
        }, {
            source: '李达康',
            target: '赵立春',
            name: "前任秘书"
        }, {
            source: '祁同伟',
            target: '高小琴',
            name: "情人"
        }, {
            source: '陈岩石',
            target: '陈海',
            name: "父子"
        }, {
            source: '陆亦可',
            target: '陈海',
            name: "属下"
        }, {
            source: '沙瑞金',
            target: '陈岩石',
            name: "故人"
        }, {
            source: '祁同伟',
            target: '陈海',
            name: "师哥"
        }, {
            source: '祁同伟',
            target: '侯亮平',
            name: "师哥"
        }, {
            source: '侯亮平',
            target: '陈海',
            name: "同学，生死朋友"
        }, {
            source: '高育良',
            target: '吴惠芬',
            name: "夫妻"
        }, {
            source: '陈海',
            target: '赵东来',
            name: "朋友"
        }, {
            source: '高小琴',
            target: '高小凤',
            name: "双胞胎",
            symbolSize: '1'
        }, {
            source: '赵东来',
            target: '陆亦可',
            name: "爱慕"
        }, {
            source: '祁同伟',
            target: '程度',
            name: "领导"
        }, {
            source: '高育良',
            target: '高小凤',
            name: "情人"
        }, {
            source: '赵瑞龙',
            target: '祁同伟',
            name: "勾结",
            symbolSize: '1',
        }, {
            source: '李达康',
            target: '赵东来',
            name: "领导"
        }, {
            source: '赵瑞龙',
            target: '程度',
            name: "领导"
        }, {
            source: '沙瑞金',
            target: '李达康',
            name: "领导"
        }, {
            source: '沙瑞金',
            target: '高育良',
            name: "领导"
        }, {
            source: '祁同伟',
            target: '梁璐',
            name: "夫妻"
        }, {
            source: '吴惠芬',
            target: '梁璐',
            name: "朋友"
        }, {
            source: '李达康',
            target: '欧阳菁',
            name: "夫妻"
        }, {
            source: '赵瑞龙',
            target: '刘新建',
            name: "洗钱工具"
        }, {
            source: '赵瑞龙',
            target: '高小琴',
            name: "勾结，腐化",
            symbolSize: '1'
        }, {
            source: '赵瑞龙',
            target: '高小凤',
            name: "腐化"
        }, {
            source: '吴心怡',
            target: '陆亦可',
            name: "母女"
        }, {
            source: '吴心怡',
            target: '吴惠芬',
            name: "姐妹"
        }, {
            source: '蔡成功',
            target: '侯亮平',
            name: "发小"
        }, {
            source: '蔡成功',
            target: '欧阳菁',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '欧阳菁',
            target: '刘新建',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '刘新建',
            target: '赵瑞龙',
            name: "举报",
            lineStyle: {
                normal: {
                    type: 'dotted',
                    color: '#000'
                }
            }
        }, {
            source: '李达康',
            target: '丁义珍',
            name: "领导"
        }, {
            source: '高小琴',
            target: '丁义珍',
            name: "策划出逃"
        }, {
            source: '祁同伟',
            target: '丁义珍',
            name: "勾结"
        }, {
            source: '赵瑞龙',
            target: '丁义珍',
            name: "勾结"
        }
    ],
    node:[
        {
            name: '侯亮平',
            des: '最高检反贪局侦查处处长，汉东省人民检察院副检察长兼反贪局局长。<br/>经过与腐败违法分子的斗争，最终将一批腐败分子送上了审判台，<br/>正义战胜邪恶，自己也迎来了成长。',
            symbolSize: 100,
            symbol:'rect',
            itemStyle: {
                normal: {
                    color: 'red',
                }
            }
        }, {
            name: '李达康',
            des: '汉东省省委常委，京州市市委书记。是一个正义无私的好官。<br/>但为人过于爱惜自己的羽毛，对待身边的亲人和朋友显得有些无情。',
            itemStyle: {
                normal: {
                    color: 'red',
                }
            }
        }, {
            name: '祁同伟',
            des: '汉东省公安厅厅长',
            symbolSize: 100
        }, {
            name: '陈岩石',
            des: '离休干部、汉东省检察院前常务副检察长。充满正义，平凡而普通的共 产 党人。<br/>对大老虎赵立春，以各种形式执着举报了十二年。<br/>在这场关系党和国家生死存亡的斗争中，老人家以耄耋高龄，<br/>义无反顾地背起了炸 药包，在反腐胜利前夕因病去世。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '陆亦可',
            des: '汉东省检察院反贪局一处处长',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '高育良',
            des: '汉东省省委副书记兼政法委书记。年近六十，是一个擅长太极功夫的官场老手。侯亮平、陈海和祁同伟是其学生。',
            symbolSize: 100
        }, {
            name: '沙瑞金',
            des: '汉东省省委书记',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '高小琴',
            des: '山水集团董事长，是一位叱咤于政界和商界的风云人物，处事圆滑、精明干练。'
        }, {
            name: '高小凤'
        }, {
            name: '赵东来',
            des: '汉东省京州市公安局局长，充满正义，整治恶势力，<br/>在与检察部门的合作中从最初的质疑到之后的通力配合。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '程度',
            des: '汉东省京州市公安局光明区分局局长，因犯错误，被李达康书记和赵东来局长点名要清除公安队伍。<br/>但在高小琴的帮助下，祁同伟调他当上了省公安厅办公室副主任。<br/>尽管程度逃避了所有罪责，上面也有人保他，<br/>但最终还是在反贪局局长侯亮平的缜密侦查下被绳之于法。',
        }, {
            name: '吴惠芬',
            des: '汉东省省委副书记高育良的妻子，汉东大学明史教授。',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '赵瑞龙',
            des: '副国级人物赵立春的公子哥，官二代，打着老子的旗子，<br/>黑白两道通吃，可谓呼风唤雨，权倾一时。',
        }, {
            name: '赵立春',
            des: '副国级领导人，曾经的改革闯将，在权利面前，显得极其渺小。',
        }, {
            name: '陈海',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '梁璐',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '刘新建'
        }, {
            name: '欧阳菁'
        }, {
            name: '吴心怡',
            itemStyle: {
                normal: {
                    color: 'red'
                }
            }
        }, {
            name: '蔡成功'
        }, {
            name: '丁义珍'
        }
    ]
}

const mapData3 = {
    "categories": [
      {
        "name": "中心词"
      },
      {
        "name": "关系"
      },
      {
        "name": "疾病相关体征"
      },
      {
        "name": "疾病相关实验室检查"
      },
      {
        "name": "疾病相关症状"
      },
      {
        "name": "疾病相关辅助检查"
      }
    ],
    "node": [
      {
        "category": 0,
        "label": "胆囊炎",
        "name": 0,
        "symbol": "circle",
        "symbolSize": 50
      },
      {
        "category": 1,
        "label": "",
        "name": 1,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 2,
        "label": "腹肌紧张、压痛、反跳痛",
        "name": 2,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 2,
        "label": "Murphy征阳性",
        "name": 3,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 2,
        "label": "血压偏低",
        "name": 4,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 5,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 3,
        "label": "血常规",
        "name": 6,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 3,
        "label": "十二指肠引流",
        "name": 7,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 8,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 4,
        "label": "疼痛",
        "name": 9,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "恶心",
        "name": 10,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "畏寒",
        "name": 11,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 4,
        "label": "黄疸",
        "name": 12,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 1,
        "label": "",
        "name": 13,
        "symbol": "diamond",
        "symbolSize": 10
      },
      {
        "category": 5,
        "label": "超声检查",
        "name": 14,
        "symbol": "circle",
        "symbolSize": 28
      },
      {
        "category": 5,
        "label": "放射线检查",
        "name": 15,
        "symbol": "diamond",
        "symbolSize": 28
      },
      {
        "category": 5,
        "label": "放射性核素检查",
        "name": 16,
        "symbol": "circle",
        "symbolSize": 28
      }
    ],
    "links": [
      {
        "source": 0,
        "target": 1,
        "value": "疾病相关体征"
      },
      {
        "source": 1,
        "target": 2,
        "value": ""
      },
      {
        "source": 1,
        "target": 3,
        "value": ""
      },
      {
        "source": 1,
        "target": 4,
        "value": ""
      },
      {
        "source": 0,
        "target": 5,
        "value": "疾病相关实验室检查"
      },
      {
        "source": 5,
        "target": 6,
        "value": ""
      },
      {
        "source": 5,
        "target": 7,
        "value": ""
      },
      {
        "source": 0,
        "target": 8,
        "value": "疾病相关症状"
      },
      {
        "source": 8,
        "target": 9,
        "value": ""
      },
      {
        "source": 8,
        "target": 10,
        "value": ""
      },
      {
        "source": 8,
        "target": 11,
        "value": ""
      },
      {
        "source": 8,
        "target": 12,
        "value": ""
      },
      {
        "source": 0,
        "target": 13,
        "value": "疾病相关辅助检查"
      },
      {
        "source": 13,
        "target": 14,
        "value": ""
      },
      {
        "source": 13,
        "target": 15,
        "value": ""
      },
      {
        "source": 13,
        "target": 16,
        "value": ""
      }
    ]
  }

const zTreeData = {
    nodes:[
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 1,
            name: "疾病",
            pId: 0
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 2,
            name: "百种常见病",
            pId: 1
        },
        {   
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 3,
            name: "儿科常见病",
            pId: 1
        },
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 4,
            name: "其他常见病",
            pId: 1
        },
        {
            icon: classIcon,
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 5,
            name: "其他病",
            pId: 1
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 6,
            name: "A",
            pId: 2,
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 7,
            name: "B",
            pId: 2
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 8,
            name: "C",
            pId: 2
        },
        {
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 9,
            name: "D",
            pId: 2
        },
        {
            icon: datarangeIcon,
            id: 10,
            name: "阿尔兹海默症",
            pId: 6,
        },
        {
            icon: datarangeIcon,
            id: 11,
            name: "白内障",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 12,
            name: "百日咳",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 12,
            name: "病毒性脑膜炎",
            pId: 7,
        },
        {
            icon: datarangeIcon,
            id: 13,
            name: "产后抑郁症",
            pId: 8,
        },
        {
            icon: datarangeIcon,
            id: 14,
            name: "尘肺",
            pId: 8,
        },
        {
            icon: classIcon, 
            iconOpen: classIcon,
            iconClose: datarangeIcon,
            id: 15,
            name: "胆囊炎",
            pId: 9,
        },
    ]
}
const zTreeData2 = {
    nodes:[
        { id:1, pId:0, name:"<font color='red'>父节点1 - 展开</font>", open:true},
			{ id:11, pId:1, name:"父节点11 - 折叠",icon:"resources/zTree/css/zTreeStyle/img/diy/2.png"},
			{ id:111, pId:11, name:"叶子节点111",target:'_blank',url:'http://www.baidu.com'},
			{ id:112, pId:11, name:"叶子节点112"},
			{ id:113, pId:11, name:"叶子节点113"},
			{ id:114, pId:11, name:"叶子节点114"},
			{ id:12, pId:1, name:"父节点12 - 折叠",iconOpen:"resources/zTree/css/zTreeStyle/img/diy/1_open.png",iconClose:"resources/zTree/css/zTreeStyle/img/diy/1_close.png"},
			{ id:121, pId:12, name:"叶子节点121"},
			{ id:122, pId:12, name:"叶子节点122"},
			{ id:123, pId:12, name:"叶子节点123"},
			{ id:124, pId:12, name:"叶子节点124"},
			{ id:13, pId:1, name:"父节点13 - 没有子节点", isParent:true},
			{ id:2, pId:0, name:"父节点2 - 折叠"},
			{ id:21, pId:2, name:"父节点21 - 展开", open:true},
			{ id:211, pId:21, name:"叶子节点211"},
			{ id:212, pId:21, name:"叶子节点212"},
			{ id:213, pId:21, name:"叶子节点213"},
			{ id:214, pId:21, name:"叶子节点214"},
			{ id:22, pId:2, name:"父节点22 - 折叠"},
			{ id:221, pId:22, name:"叶子节点221"},
			{ id:222, pId:22, name:"叶子节点222"},
			{ id:223, pId:22, name:"叶子节点223"},
			{ id:224, pId:22, name:"叶子节点224"},
			{ id:23, pId:2, name:"父节点23 - 折叠"},
			{ id:231, pId:23, name:"叶子节点231"},
			{ id:232, pId:23, name:"叶子节点232"},
			{ id:233, pId:23, name:"叶子节点233"},
			{ id:234, pId:23, name:"叶子节点234"},
			{ id:3, pId:0, name:"父节点3 - 没有子节点", isParent:true}
    ]
}
const zTreeData3 = {
    nodes:[
        {
            icon: "/images/icon.png",
            iconOpen: "s/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 1,
            name: "疾病",
            pId: 0,
        },
        {
            icon: "/images/icon.png",
            iconOpen: "/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 2,
            name: "A00-B99-某些传染病和寄生虫病",
            pId: 1,
        },
        {   
            icon: "/images/icon.png",
            iconOpen: "/images/iconOpen.png",
            iconClose: "/images/iconClose.png",
            id: 3,
            name: "A00",
            pId: 2
        },
        // {
        //     icon: classIcon,
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 4,
        //     name: "其他常见病",
        //     pId: 1
        // },
        // {
        //     icon: classIcon,
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 5,
        //     name: "其他病",
        //     pId: 1
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 6,
        //     name: "A",
        //     pId: 2,
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 7,
        //     name: "B",
        //     pId: 2
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 8,
        //     name: "C",
        //     pId: 2
        // },
        // {
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 9,
        //     name: "D",
        //     pId: 2
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 10,
        //     name: "阿尔兹海默症",
        //     pId: 6,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 11,
        //     name: "白内障",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 12,
        //     name: "百日咳",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 12,
        //     name: "病毒性脑膜炎",
        //     pId: 7,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 13,
        //     name: "产后抑郁症",
        //     pId: 8,
        // },
        // {
        //     icon: datarangeIcon,
        //     id: 14,
        //     name: "尘肺",
        //     pId: 8,
        // },
        // {
        //     icon: classIcon, 
        //     iconOpen: classIcon,
        //     iconClose: datarangeIcon,
        //     id: 15,
        //     name: "胆囊炎",
        //     pId: 9,
        // },
    ]
}
module.exports={
    mapData,
    zTreeData,
    mapData3,
    zTreeData3
}
